export declare enum SingleAsyncState {
    Pending = 0,
    Working = 1,
    Complete = 2,
    Error = 3,
}
export declare class SingleAsync<T> {
    private _fn;
    private _args;
    private _state;
    private _value;
    private _error;
    private _promises;
    constructor(fn: (...args: any[]) => Promise<T>, ...args: any[]);
    clear(): void;
    get(): Promise<T>;
    getValue(): T | undefined;
    getError(): any;
    getState(): SingleAsyncState;
}
